解决PHP7.3下Magento1.9.4管理后台显示空白页面的问题

大伟哥 提交于 2020-05-28,周四, 09:18 ,最近更新于2020-05-28,周四, 09:44

Magento 1.9.4版本的官方发布说明上,是支持到PHP7.2版本的。大伟哥换了新的阿里云服务器以后,安装的是PHP7.3,当时也有些担心会不会不兼容,但是迁移过来以后,发现各个页面都能正常打开,也就放着不管了。

直到今天,想进Magento后台去修改某项配置,却发现输入管理员用户名和密码之后,页面跳转不正常,打开的页面是空白页,不能正常显示后台内容。这吓了我一跳,难不成真是PHP版本不兼容的问题?

Apache的错误日志显示如下:

标签

Deepin Wine解决TIM无法登录/不显示图片/不下载群文件的问题

大伟哥 提交于 2020-05-13,周三, 10:22 ,最近更新于2020-05-13,周三, 14:00

最近大伟哥使用Deepin Wine在Ubuntu下运行TIM的时候,发现聊天界面里面很多网友发出的图片没法显示,而且群文件也没法下载,网上搜索了一下,发现问题很可能出在ipv6上面。因为腾讯从19年10月底启用了ipv6技术,默认情况下接收图片和下载群共享文件可能需要连接到ipv6地址,然而某些地区运营商的ipv6服务不稳定,这就导致在deepin wine下运行的QQ和TIM加载不了图片和头像。

解决方法就是把ipv6禁用,在Ubuntu下可以在/etc/sysctl.conf文件里加入下面三行:

标签

阿里云ECS服务器切换到突发性能实例t6

大伟哥 提交于 2020-04-17,周五, 12:02 ,最近更新于2020-05-02,周六, 22:29

大伟哥有一台阿里云ECS最近要到期了,原来的1核CPU/1GB内存共享套餐其实还够用,CPU使用率稳定在10%到20%之间,但是还是决定切换到2核CPU/2GB内存的突发实例套餐上来,而不是续费升级。原因是两个套餐价格相差不多,而突发实例可用的内存倒是增加了一倍。而且阿里云不建议自行升级操作系统版本,迁到新的实例上来,正好可以借这个机会使用新版本的Linux系统。

标签

使用Composer下载和安装Drupal的命令行工具Drush

大伟哥 提交于 2020-03-24,周二, 21:41 ,最近更新于2020-03-24,周二, 21:43

新工具的掌握并没有通常想象中那么难,在一边学习一边实践的过程中,我们更加体会到,学习composer不是负担,它就是帮我们获取想要的库文件的工具。

现在,我们在上次创建的新项目中,安装另外一个好用的命令行工具——Drush。Drush 就是Drupal Shell,理解了就很容易记忆。

熟悉的思路,熟悉的过程:先切换到www-data用户,然后进入项目文件夹,最后运行composer require drush/drush:

使用Composer的drupal/recommended-project默认模版下载Drupal核心文件

大伟哥 提交于 2020-03-24,周二, 21:03 ,最近更新于2020-03-24,周二, 21:07

经过前面对composer的安装和调试,我们终于可以用www-data用户的身份运行Composer来管理Drupal文件了。

虽然有好几种办法使用composer来安装Drupal,但是现在Drupal官方推荐的方法却只有一种,那就是使用drupal/recommended-project这个composer模版。

标签